Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Functions | Variables
equationdetect.cpp File Reference
`#include <float.h>`
`#include "equationdetect.h"`
`#include "bbgrid.h"`
`#include "classify.h"`
`#include "colpartition.h"`
`#include "colpartitiongrid.h"`
`#include "colpartitionset.h"`
`#include "helpers.h"`
`#include "ratngs.h"`
`#include "tesseractclass.h"`

Go to the source code of this file.

## Namespaces

namespace | tesseract

## Functions

bool | tesseract::IsTextOrEquationType (PolyBlockType type)
bool | tesseract::IsLeftIndented (const EquationDetect::IndentType type)
bool | tesseract::IsRightIndented (const EquationDetect::IndentType type)

## Variables

bool | equationdetect_save_bi_image = false
bool | equationdetect_save_spt_image = false
bool | equationdetect_save_seed_image = false
bool | equationdetect_save_merged_image = false
const float | tesseract::kMathDigitDensityTh1 = 0.25
const float | tesseract::kMathDigitDensityTh2 = 0.1
const float | tesseract::kMathItalicDensityTh = 0.5
const float | tesseract::kUnclearDensityTh = 0.25
const int | tesseract::kSeedBlobsCountTh = 10
const int | tesseract::kLeftIndentAlignmentCountTh = 1

## Variable Documentation

bool equationdetect_save_bi_image = false

"Save input bi image"

Definition at line 48 of file equationdetect.cpp.

bool equationdetect_save_merged_image = false

"Save the merged image"

Definition at line 51 of file equationdetect.cpp.

bool equationdetect_save_seed_image = false

"Save the seed image"

Definition at line 50 of file equationdetect.cpp.

bool equationdetect_save_spt_image = false

"Save special character image"

Definition at line 49 of file equationdetect.cpp.